aboutsummaryrefslogtreecommitdiffstats
path: root/lava-master/scripts
diff options
context:
space:
mode:
authorCorentin LABBE <clabbe@baylibre.com>2018-04-12 11:59:07 +0200
committerCorentin LABBE <clabbe@baylibre.com>2018-06-05 15:36:31 +0200
commit31555bcb6555d080e7072fba2fc8ccda0fd59eaa (patch)
treee70c096e7714be50f2d7b9f4419f07dbe4452ec7 /lava-master/scripts
parent287e03c09e34ec77d696fcd7ad55912cc127a859 (diff)
Implement Multipleslave
This patch implement multiple slave support. Instead of having a maximum of one master and one slave in one docker image, it is now possible to have multiple slave accross several docker host. For helping this change, a new boards.yaml format is introduced (See README.md for details) Note that tokens.yaml is also squashed in boards.yaml
Diffstat (limited to 'lava-master/scripts')
-rwxr-xr-xlava-master/scripts/setup.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/lava-master/scripts/setup.sh b/lava-master/scripts/setup.sh
index 5b62c45..3ab2abd 100755
--- a/lava-master/scripts/setup.sh
+++ b/lava-master/scripts/setup.sh
@@ -45,7 +45,7 @@ if [ -e /root/lava-callback-tokens ];then
exit 1
fi
echo "Adding $USER ($DESCRIPTION) DEBUG($TOKEN)"
- lava-server manage tokens add --user $USER --secret $TOKEN --description $DESCRIPTION || exit 1
+ lava-server manage tokens add --user $USER --secret $TOKEN --description "$DESCRIPTION" || exit 1
done
fi